#import "@local/handout:0.1.0": *

#show: doc => handout(
  doc,
  quarter: link(
    "https://betalupi.com/handouts",
    "betalupi.com/handouts",
  ),

  title: [Warm-Up: Odd Dice],
  by: "Mark",
)

#problem()
We say a set of dice ${A, B, C}$ is _nontransitive_
if, on average, $A$ beats $B$, $B$ beats $C$, and $C$ beats $A$.
In other words, we get a counterintuitive "rock - paper - scissors" effect.

#v(2mm)

Create a set of nontransitive six-sided dice. \
#hint([All sides should be numbered with positive integers less than 10.])

#solution([
  One possible set can be numbered as follows:
  - Die $A$: $2, 2, 4, 4, 9, 9$
  - Die $B$: $1, 1, 6, 6, 8, 8$
  - Die $C$: $3, 3, 5, 5, 7, 7$

  #v(4mm)

  Another solution is below:
  - Die $A$: $3, 3, 3, 3, 3, 6$
  - Die $B$: $2, 2, 2, 5, 5, 5$
  - Die $C$: $1, 4, 4, 4, 4, 4$

])

#v(1fr)

#problem()
Now, consider the set of six-sided dice below:
- Die $A$: $4, 4, 4, 4, 4, 9$
- Die $B$: $3, 3, 3, 3, 8, 8$
- Die $C$: $2, 2, 2, 7, 7, 7$
- Die $D$: $1, 1, 6, 6, 6, 6$
- Die $E$: $0, 5, 5, 5, 5, 5$
On average, which die beats each of the others? Draw a diagram.

#solution([
  /*
  \begin{tikzpicture}[scale = 0.5]
    \begin{scope}[layer = nodes]
      \node[main] (a) at (-2, 0.2) {$a$};
      \node[main] (b) at (0, 2) {$b$};
      \node[main] (c) at (2, 0.2) {$c$};
      \node[main] (d) at (1, -2) {$d$};
      \node[main] (e) at (-1, -2) {$e$};
    \end{scope}

    \draw[->]
      (a) edge (b)
      (b) edge (c)
      (c) edge (d)
      (d) edge (e)
      (e) edge (a)

      (a) edge (c)
      (b) edge (d)
      (c) edge (e)
      (d) edge (a)
      (e) edge (b)
    ;
  \end{tikzpicture}
  */
])

#v(1fr)

#problem()
Now, say we roll each die twice. What happens to the graph fromE the previous problem?

#solution([
  The direction of each edge is reversed!
])

#v(1fr)
